/*
 * Globals
 */


:root {

    --body-font-family:             'Roboto Slab', sans-serif;

    --bf-color-maroon-rgb: 80, 25, 25;

    --bf-color-green-rgb-l0:   24, 240,  24;
    --bf-color-green-rgb-l1:   26, 230,  26;
    --bf-color-green-rgb-l2:   28, 220,  28;
    --bf-color-green-rgb-l3:   30, 210,  30;
    --bf-color-green-rgb-l4:   32, 200,  32;

    --bf-link-color-rgb:        132, 56, 56;
    --bf-link-hover-color-rgb:   40,160, 40;
//  --bf-link-hover-color-rgb:  200,100,200;


    --bf-opacity: 1.00;
    --bf-text-opacity: 1.00;

}
.bf-maroon {
    color: #501919;
}

.bf-green-l0 {
//  color: rgba(var(--bf-color-green-rgb-10), var(--bf-opacity)) !important;
//  color: rgba( 24,240, 24, 1.0) !important;
    color: green;
}

.bf-green-bg-l0 {
  background-color: rgba(var(--bf-color-green-rgb-10), var(--bf-opacity)) !important;
}

.bf-brown-l6 {
  color: var(--bf-color-brown-l6);
}

.bf-brown-l10 {
  color: var(--bf-color-brown-l10);
}

.bf-brown-l12 {
  color: var(--bf-color-brown-l12);
}

.bf-brown-l13 {
  color: var(--bf-color-brown-l13);
}

.bf-brown-l14 {
  color: var(--bf-color-brown-l14);
}

.bf-brown-l15 {
  color: var(--bf-color-brown-l15);
}

.bf-brown-l16 {
  color: var(--bf-color-brown-l16);
}

.bf-bg-brown-l0 {
  background-color: var(--bf-color-brown-l0);
}
.bf-bg-brown-l1 {
  background-color: var(--bf-color-brown-l1);
}
.bf-bg-brown-l2 {
  background-color: var(--bf-color-brown-l2);
}

.bf-bg-brown-l10 {
  background-color: var(--bf-color-brown-l10);
}

.bf-bg-brown-l11 {
  background-color: var(--bf-color-brown-l11);
}

.bf-bg-brown-l12 {
  background-color: var(--bf-color-brown-l12);
}

.bf-bg-brown-l13 {
  background-color: var(--bf-color-brown-l13);
}

.bf-bg-brown-l14 {
  background-color: var(--bf-color-brown-l14);
}

/*********************
    Links
*********************/


a.bf-text-link {
 color: rgba(var(--bf-link-color-rgb), 1);
 text-decoration: none;
}

a.bf-text-link:link {
// --bf-link-color-rgb: var(--bf-link-hover-color-rgb);
 color: rgba(var(--bf-link-color-rgb), 1);
 text-decoration: none;
}

a.bf-text-link:visited {
// --bf-link-color-rgb: var(--bf-link-hover-color-rgb);
 color: rgba(var(--bf-link-color-rgb), 1);
}

a.bf-text-link:active {
// --bf-link-color-rgb: var(--bf-link-hover-color-rgb);
 color: rgba(var(--bf-link-color-rgb), 1);
}
*/
a.bf-text-link:hover {
// --bf-link-color-rgb: var(--bf-link-hover-color-rgb);
// color: rgba(var(--bf-link-hover-color-rgb), 1);
  color: violet;
}



/* Custom borders */
.bf-border-top {
  border-width: 0.2em 0 0 0;
  border-style: solid;
  border-top-style: solid;
  border-right-style: hidden;
  border-bottom-style: hidden;
  border-left-style: hidden;
}



/* Custom default button */
.btn-light,
.btn-light:hover,
.btn-light:focus {
  color: #333;
  text-shadow: none; /* Prevent inheritance from `body` */
}


/*
 * Base structure
 */

body {
  text-shadow: none;
  box-shadow: inset 0 0 0rem rgba(0, 0, 0, .0);
  background-color: var(--bf-color-brown-l14);
}

.cover-container {
  max-width: 80em;
}


/*
 * Header, Navigation bar
 */
.nav-masthead .nav-link {
  color: var(--bf-color-brown-l2);
  opacity: 1.0;
  border-bottom: .16rem;
  border-style: solid;
  border-color: transparent;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  border-bottom-color: var(--bf-color-brown-l2);
  opacity: 0.4;
}
.nav-masthead .nav-link + .nav-link {
  margin-left: 1.0rem;
}
.nav-masthead .active {
  color: var(--bf-color-brown-l2);
  border-bottom-color: var(--bf-color-brown-l2);
}

.bf-margin-down-1 {
   margin-bottom: 1.0rem !important;
}


.bf-margin-top-3 {
   margin-top: 3.0rem !important;
}

.bf-margin-top-0 {
   margin-top: 0.0rem !important;
}

.bf-margin-1 {
   margin-top: 1.0rem; margin-bottom: 1.0rem; margin-left: 1.0rem; margin-right: 1.0rem;
}

.bf-padding-1 {
   padding-top: 1.0rem; padding-bottom: 1.0rem; padding-left: 1.0rem; padding-right: 1.0rem;
}

.bf-padding-top-down-2 {
   padding: 2.0rem 0.0rem 2.0rem 0.0rem;
}

.bf-padding-top-down-1 {
   padding: 1.0rem 0.0rem 1.0rem 0.0rem;
}

.bf-padding-down-1 {
   padding-bottom: 1.0rem !important;
}

.bf-padding-down-2 {
   padding-bottom: 2.0rem !important;
}


.bf-width-100 {
   width: 100%;
}

.bf-py-0 {
  padding-top: 0.00rem !important;
  padding-bottom: 0.00rem !important;
}

.bf-my-0 {
  margin-top: 0.00rem !important;
  margin-bottom: 0.00rem !important;
}

.BennysButton {
    border: solid;
    border-width: 5px;
    border-radius: 30px;
    color: #2b1808;
    background-color: orange;
    padding: 18px 36px;
    text-align: center;
    font-family: 'Finger Paint';
    text-decoration: none;
    font-size: 1.8rem;
    font-weight: bold;
    text-transform: uppercase;
    display: inline-block;
    margin: 0px;
    cursor: pointer;
    @media (max-width: 576px) {
        padding:  5px 10px;
        font-size: 0.8rem;
     }
    @media (max-width: 768px) {
        padding:  8px 16px;
        font-size: 1.0rem;
     }
    @media (max-width: 992px) {
        padding: 10px 20px;
        font-size: 1.2rem;
     }
    @media (max-width: 1200px) {
        padding: 12px 24px;
        font-size: 1.4rem;
     }
    @media (max-width: 1400px) {
        padding: 15px 30px;
        font-size: 1.6rem;
     }

}


.BennysButton:hover {
    background-color: violet;
}

button {
    background-color: #bbefbb;
}

button:hover {
    background-color: violet;
}

input[type=submit]:hover {
    background-color: violet;
}


.bf-title {
    @media (min-width: 576px) {
        font-weight: 700; font-size: 1.8em; padding-bottom: 0.2rem;"
     }
    @media (min-width: 768px) {
        font-weight: 700; font-size: 2.1em; padding-bottom: 0.25rem;"
     }
    @media (min-width: 992px) {
        font-weight: 800; font-size: 2.4em; padding-bottom: 0.30rem;"
     }
    @media (min-width: 1200px) {
        font-weight: 900; font-size: 2.7em; padding-bottom: 0.35rem;"
     }
    @media (min-width: 1200px) {
        font-weight: 900; font-size: 3.1em; padding-bottom: 0.40rem;"
     }
    @media (min-width: 1600px) {
        font-weight: 900; font-size: 3.5em; padding-bottom: 0.40rem;"
     }
}

.bf-subtitle {
    @media (min-width: 576px) {
        font-weight: 600; font-size: 1.2em; padding-bottom: 0.2rem;"
     }
    @media (min-width: 768px) {
        font-weight: 600; font-size: 1.4em; padding-bottom: 0.25rem;"
     }
    @media (min-width: 992px) {
        font-weight: 600; font-size: 1.7em; padding-bottom: 0.30rem;"
     }
    @media (min-width: 1200px) {
        font-weight: 700; font-size: 2.0em; padding-bottom: 0.35rem;"
     }
    @media (min-width: 1200px) {
        font-weight: 700; font-size: 2.4em; padding-bottom: 0.40rem;"
     }
    @media (min-width: 1600px) {
        font-weight: 700; font-size: 2.8em; padding-bottom: 0.30rem;"
     }

}

.warenk-b-red {
    padding: 15px 30px;
    padding-top: 34px;

    @media (min-width: 576px) {
        padding:  5px 10px;
        padding-top: 16px;
     }
    @media (min-width: 768px) {
        padding:  7px 14px;
        padding-top: 22px;
     }
    @media (min-width: 992px) {
        padding:  9px 18px;
        padding-top: 26px;
     }
    @media (min-width: 1200px) {
        padding: 12px 24px;
        padding-top: 30px;
     }
}

.warenk-b-green {
    padding: 15px 30px;
    padding-top: 34px;

    @media (min-width: 576px) {
        padding: 10px  5px;
        padding-top: 16px;
     }
    @media (min-width: 768px) {
        padding:  7px 14px;
        padding-top: 22px;
     }
    @media (min-width: 992px) {
        padding:  9px 18px;
        padding-top: 26px;
     }
    @media (min-width: 1200px) {
        padding: 12px 24px;
        padding-top: 30px;
     }
}


